io.vertx.reactivex.ext.web.handler

## Class FormLoginHandler

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.FormLoginHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthenticationHandler

      public class FormLoginHandler
      extends Object
      implements AuthenticationHandler, Handler<RoutingContext>

  Handler that handles login from a form on a custom login page.

  Used in conjunction with the `RedirectAuthHandler`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<FormLoginHandler>` | `__TYPE_ARG`
    `static String` | `DEFAULT_PASSWORD_PARAM` The default value of the form attribute which will contain the password
    `static String` | `DEFAULT_RETURN_URL_PARAM` The default value of the session attribute which will contain the return url
    `static String` | `DEFAULT_USERNAME_PARAM` The default value of the form attribute which will contain the username

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormLoginHandler(FormLoginHandler delegate)`
    `FormLoginHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormLoginHandler` | `create(AuthenticationProvider authProvider)` Create a handler
    `static FormLoginHandler` | `create(AuthenticationProvider authProvider, String usernameParam, String passwordParam, String returnURLParam, String directLoggedInOKURL)` Create a handler
    `boolean` | `equals(Object o)`
    `FormLoginHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static FormLoginHandler` | `newInstance(FormLoginHandler arg)`
    `FormLoginHandler` | `setDirectLoggedInOKURL(String directLoggedInOKURL)` Set the url to redirect to if the user logs in directly at the url of the form login handler without being redirected here first
    `FormLoginHandler` | `setPasswordParam(String passwordParam)` Set the name of the form param used to submit the password
    `FormLoginHandler` | `setReturnURLParam(String returnURLParam)` Set the name of the session attrioute used to specify the return url
    `FormLoginHandler` | `setUsernameParam(String usernameParam)` Set the name of the form param used to submit the username
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.reactivex.ext.web.handler.AuthenticationHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<FormLoginHandler> __TYPE_ARG

    - #### DEFAULT_USERNAME_PARAM

          public static final String DEFAULT_USERNAME_PARAM

      The default value of the form attribute which will contain the username
      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD_PARAM

          public static final String DEFAULT_PASSWORD_PARAM

      The default value of the form attribute which will contain the password
      See Also:
        Constant Field Values

    - #### DEFAULT_RETURN_URL_PARAM

          public static final String DEFAULT_RETURN_URL_PARAM

      The default value of the session attribute which will contain the return url
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FormLoginHandler

          public FormLoginHandler(FormLoginHandler delegate)

    - #### FormLoginHandler

          public FormLoginHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public FormLoginHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          public static FormLoginHandler create(AuthenticationProvider authProvider)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
      Returns:
        the handler

    - #### create

          public static FormLoginHandler create(AuthenticationProvider authProvider,
                                                String usernameParam,
                                                String passwordParam,
                                                String returnURLParam,
                                                String directLoggedInOKURL)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `usernameParam` - the value of the form attribute which will contain the username
        `passwordParam` - the value of the form attribute which will contain the password
        `returnURLParam` - the value of the session attribute which will contain the return url
        `directLoggedInOKURL` - a url to redirect to if the user logs in directly at the url of the form login handler without being redirected here first
      Returns:
        the handler

    - #### setUsernameParam

          public FormLoginHandler setUsernameParam(String usernameParam)

      Set the name of the form param used to submit the username
      Parameters:
        `usernameParam` - the name of the param
      Returns:
        a reference to this for a fluent API

    - #### setPasswordParam

          public FormLoginHandler setPasswordParam(String passwordParam)

      Set the name of the form param used to submit the password
      Parameters:
        `passwordParam` - the name of the param
      Returns:
        a reference to this for a fluent API

    - #### setReturnURLParam

          public FormLoginHandler setReturnURLParam(String returnURLParam)

      Set the name of the session attrioute used to specify the return url
      Parameters:
        `returnURLParam` - the name of the param
      Returns:
        a reference to this for a fluent API

    - #### setDirectLoggedInOKURL

          public FormLoginHandler setDirectLoggedInOKURL(String directLoggedInOKURL)

      Set the url to redirect to if the user logs in directly at the url of the form login handler without being redirected here first
      Parameters:
        `directLoggedInOKURL` - the URL to redirect to
      Returns:
        a reference to this for a fluent API

    - #### newInstance

          public static FormLoginHandler newInstance(FormLoginHandler arg)

Copyright © 2024 Eclipse. All rights reserved.